[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: further package removals/potential package removals



On Mon, 2005-01-24 at 11:52 +0100, Tomas Mraz wrote:
> 
> The problem is pam_console (and maybe others) modules (which are by
> default configured to be used) require glib2. And I don't see any
> possibility to make the pam_console optional. So you can tune your
> minimum install so the pam_console is removed from all /etc/pam.d/...
> configs and then you can remove glib2. Or you can write a patch for all
> pam modules in redhat which use glib2 which replace the functionality
> provided by glib2 by another means and if it's good it will be applied.
> But I won't write it as I have many more useful things to do.

So does everyone else - that's why they use a working, tested, widely-
available
utility library instead of writing their own string and hash table
classes
in every single package.

Among other things, it's near impossible to write a properly
internationalized app without unicode utilities as in GLib.

Havoc



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]